/*
	CSS Stylesheet for:   By-the-Bay Designs on Cape Cod
    File Name:            styles.css
	Author:		          Alison Caron Design | Coded by Devadigm
	Date Created:         07-13-2015
	Last Updated:         09-22-2015
*/

html, body, section, article, aside, div, img {
	display: block;
	margin: 0;
	padding: 0;
}

body {
	background-color: rgb(138, 210, 209);
	color: #ffffff;
	font-family: 'Lora', serif;
	font-size: 16px;
	height: 100%;
	max-width: 1600px;
	min-height: 100%;
	width: 100%;
}

h1, h2, h3, h4, h5, h6 {
	color: rgb(49, 77, 141);
	margin: 0;
	padding: 0;
}

h1, h2, h3 {
	font-weight: 700;
}

h4, h5, h6 {
	font-weight: 400;
}

h1 {
	font-size: 3em;
}

h2 {
	font-size: 2.25em;
}

h3 {
	font-size: 1.2em;
}

h4 {
	font-size: 1em;
	line-height: 24px;
}

p {
	font-size: 1.15em;
}

a {
	color: inherit;
	text-decoration: none;
}

a:hover {
	opacity: .7;
}

#bold {
	font-weight: 700;
}

.white {
	color: #ffffff;
}

header {
	background-color: rgb(233, 208, 178);
	background-image: url('../images/header2.jpg');
	background-repeat: repeat-x;
	height: 200px;
}

header aside {
	float: left;
	padding: 0px 15px 0px 15px;
	text-align: center;
}

header aside:first-of-type {
	margin-left: 20%;
}

header aside h1, header aside h2 {
	line-height: 50px;
}

header aside h2:nth-of-type(2) {
	font-family: 'La Belle Aurore', cursive;
	font-size: 2.8em;
}

header aside:nth-of-type(2), header aside:nth-of-type(3) {
	padding-top: 10px;
}

#directions {
	border: none;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	border-radius: 10px;
	background-color: rgb(49, 77, 141);
	color: #ffffff;
	display: block;
	font-size: 20px;
	height: 30px;
	line-height: 30px;
	margin: 5px auto;
	padding: 0;
	width: 125px;
}

#directions a:hover {
	color: gray;
}

#button {
	border: none;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	border-radius: 10px;
	background-color: rgb(49, 77, 141);
	color: #ffffff;
	display: block;
	font-size: 20px;
	height: 30px;
	line-height: 30px;
	margin: -15px auto 5px auto;
	padding: 0;
	width: 200px;
}

#smIcons {
	display: inline-block;
	margin: -10px auto 0 auto;
	/*padding-left: 22%;*/
	width: 100%;
}

.sm {
	float: left;
	height: 40px;
	margin: 7px 0;
	width: 40px;
}

#mainImg {
	border: 10px solid #ffffff;
	clear: both;
	height: auto;
	left: 50%;
	margin: 0 auto;
	max-width: 800px;
	position: absolute;
	-ms-transform: translate(-50%, -40px);
	-webkit-transform: translate(-50%, -40px);
	transform: translate(-50%, -40px);
	width: 60%;
}

#sidebar {
	/*background-image: url('../images/shells.png');
	background-repeat: repeat-y;
	background-image: url('../images/shells.png'), url('../images/shells2.png');
	background-repeat: no-repeat, repeat-y;
	height: 100%;*/
	left: 0;
	margin: 0;
	max-width: 20%;
	padding: 0;
	position: absolute;
	top: 0;
	width: 250px;
	z-index: 1;
}

#sidebar1 {
	background-image: url('../images/shells.png');
	background-repeat: no-repeat;
	height: 1110px;
	left: 0;
	margin: 0;
	padding: 0;
	position: absolute;
	top: 0;
	width: 250px;
	z-index: 1;
}

#sidebar2 {
	background-image: url('../images/shells2.png');
	background-repeat: repeat-y;
	margin: 1110px 0 0 0 ;
	left: 0;
	padding: 0;
	position: absolute;
	width: 250px;
	z-index: 1;
}

.content {
	display: block;
	height: 100%;
	margin: 0 0 0 20%;
	max-width: 100%;
	padding: 0;
	width: 80%;
}

.content h2 {
	font-family: 'La Belle Aurore', cursive;
	text-align: center;
	width: 80%;
}

#about {
	clear: both;
	display: inline-block;
	margin: 0 auto;
	padding-top: 38%;
	text-align: center;
	width: 80%;
}

#about + p {
	line-height: 30px;
	margin: 0;
	width: 80%;
}

#more {
	display: none;
	width: 100% !important;
}

#moreBtn {
	float: right;
	margin-right: 20%;
}

#moreBtn:hover {
	font-size: 110%;
}

#returnToTop {
	float: left;
	margin-left: 10px;
}

/* Mail Chimp */
input.button {
	display: block;
	font-weight: 700;
	margin: 0 auto;
}

/* Responsive Styles */
@media (max-width: 1160px) {
	header aside:first-of-type {
		margin-left: 0;
	}

	header aside {
		margin: 5px auto;
		padding: 0;
		width: 100%;
	}

	#smIcons {
		margin: 0 auto;
		/*padding-left: 30%;*/
		padding-left: 0;
	}

	.sm {
		float: none;
		margin: 0 auto;
	}

	#mainImg {
		/*left: 0;*/
		margin: 5px auto;
		padding-top: 0;
		-ms-transform: translate(-50%, 300px);
		-webkit-transform: translate(-50%, 300px);
		transform: translate(-50%, 300px);
		/*position: relative;
		transform: none;*/
		/*width: 80%;*/
	}

	#about, .content h2 {
		clear: both;
		/*padding: 0 !important;*/
		width: 100%;
	}

	#about + p {
		margin: 0 0 0 20% !important;
		padding: 0 !important;
		width: 70%;
	}
}

@media (min-width: 800px) and (max-width: 1160px) {
	.content {
		margin: 0 auto !important;
		padding: 0 !important;
		width: 100%;
	}

	#about {
		clear: both;
		margin: 0;
		padding-top: 40% !important;
	}

	.content p {
		margin-left: 30%;
	}

	.flex-container {
		width: 60% !important;
	}
}

@media (max-width: 800px) {
	.content {
		margin: 0;
		padding: 0;
		width: 100%;
	}

	header aside:first-of-type {
		margin-left: 0;
	}

	#sidebar {
		display: none;
	}

	.flex-container {
		margin: 0 auto;
		padding: 0;
		width: 100%;
	}

	.flex-item {
		margin: 0 auto;
		padding: 0;
	}
}

@media (min-width: 650px) and (max-width: 800px) {
	#about {
		padding-top: 40%;
	}
}

@media (max-width: 650px) {
	header aside {
		margin: 5px auto;
		padding: 0;
		width: 100%;
	}

	#smIcons {
		padding-left: 0;
		/*padding-left: 30%;*/
	}

	#mainImg {
		/*left: 0;
		margin: 5px auto;
		position: relative;
		transform: none;*/
		left: 50%;
		-ms-transform: translate(-50%, 285px);
		-webkit-transform: translate(-50%, 285px);
		transform: translate(-50%, 285px);
		width: 80%;
	}

	#about {
		margin-top: 280px;
	}

	#about, .content h2 {
		clear: both;
		padding: 0;
		width: 100%;
	}

	#about + p {
		margin: 0 auto;
		padding: 0;
		width: 80%;
	}
}

@media (max-width: 550px) {
	#about {
		margin-top: 240px;
	}

	.flex-item {
		margin: 0 auto;
	}
}

@media (max-width: 490px) {
	#about {
		margin-top: 240px;
	}
}

@media (max-width: 380px) {
	#about {
		margin-top: 180px;
	}
}
